Wire
Date: 2016-06-24

org.osgi.resource

## Interface Wire

- All Known Subinterfaces:
    BundleWire

      @ConsumerType
      public interface Wire

  A wire connecting a `Capability` to a `Requirement`.

  Instances of this type must be effectively immutable. That is, for a given instance of this interface, the methods defined by this interface must always return the same result.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Compares this `Wire` to another `Wire`.
    `Capability` | `getCapability()` Returns the `Capability` for this wire.
    `Resource` | `getProvider()` Returns the resource providing the `capability`.
    `Requirement` | `getRequirement()` Returns the `Requirement` for this wire.
    `Resource` | `getRequirer()` Returns the resource who `requires` the `capability`.
    `int` | `hashCode()` Returns the hashCode of this `Wire`.

- - ### Method Detail

    - #### getCapability

          Capability getCapability()

      Returns the `Capability` for this wire.
      Returns:
        The `Capability` for this wire.

    - #### getRequirement

          Requirement getRequirement()

      Returns the `Requirement` for this wire.
      Returns:
        The `Requirement` for this wire.

    - #### getProvider

          Resource getProvider()

      Returns the resource providing the `capability`.

      The returned resource may differ from the resource referenced by the `capability`.

      Returns:
        The resource providing the capability.

    - #### getRequirer

          Resource getRequirer()

      Returns the resource who `requires` the `capability`.

      The returned resource may differ from the resource referenced by the `requirement`.

      Returns:
        The resource who requires the capability.

    - #### equals

          boolean equals(java.lang.Object obj)

      Compares this `Wire` to another `Wire`.

      This `Wire` is equal to another `Wire` if they have the same capability, requirement, provider and requirer.

      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - The object to compare against this `Wire`.
      Returns:
        `true` if this `Wire` is equal to the other object; `false` otherwise.

    - #### hashCode

          int hashCode()

      Returns the hashCode of this `Wire`.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        The hashCode of this `Wire`.